Bug 868307 - wxGtk: update request to version 2.9.3 or latest
wxGtk: update request to version 2.9.3 or latest
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: wxGTK (Show other bugs)
rawhide
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
:
: 886195 890298 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-19 09:13 EDT by Matus Kocka
Modified: 2014-10-31 09:27 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-19 09:25:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matus Kocka 2012-10-19 09:13:58 EDT
Hello,
could you please update wxWidgets in fedora to version 2.9.3 or the latest?
the latest one is 2.9.4 

Homepage:
http://www.wxwidgets.org/
Comment 1 Dan Horák 2012-10-19 09:25:41 EDT
It can't updated, it's API/ABI incompatible, you can grab my rpms for the 2.9 series from http://fedora.danny.cz/danny/development/x86_64/repoview/index.html

It can be submitted as a separate package for review though with keeping wxGTK 2.8 available in parallel.
Comment 2 Dan Horák 2012-10-19 09:30:29 EDT
Also the 2.9 series itself doesn't has a stable API/ABI which means all apps linked with it would need rebuild and/or fixed when it should be updated.
Comment 3 Matus Kocka 2012-10-20 11:58:35 EDT
Ok, submit 2.9 as separate package can works. I will try that. Thanks
Comment 4 Dan Horák 2012-12-11 13:41:44 EST
*** Bug 886195 has been marked as a duplicate of this bug. ***
Comment 5 Dan Horák 2013-01-22 06:24:01 EST
*** Bug 890298 has been marked as a duplicate of this bug. ***
Comment 6 Matt Hirsch 2013-10-10 20:24:52 EDT
Is there now a package in Fedora 19 for wxWidgets 2.9.x? I see the package you mentioned here 

http://sharkcz.livejournal.com/11207.html
http://fedora.danny.cz/danny/18/SRPMS/repoview/wxGTK3.html

is last updated for Fedora 18. (The srpm does seem to build on F19).

Thanks for maintaining wxWidgets!
Comment 7 Thomas Spura 2014-10-31 09:11:25 EDT
(In reply to Matt Hirsch from comment #6)
> Is there now a package in Fedora 19 for wxWidgets 2.9.x? I see the package
> you mentioned here 
> 
> http://sharkcz.livejournal.com/11207.html

You were optimistic that the situation will be better with version 3.
Is it possible to update now?
Comment 8 Dan Horák 2014-10-31 09:15:09 EDT
(In reply to Thomas Spura from comment #7)
> (In reply to Matt Hirsch from comment #6)
> > Is there now a package in Fedora 19 for wxWidgets 2.9.x? I see the package
> > you mentioned here 
> > 
> > http://sharkcz.livejournal.com/11207.html
> 
> You were optimistic that the situation will be better with version 3.
> Is it possible to update now?

There is a wxGTK3 package for quite some time.
Comment 9 Thomas Spura 2014-10-31 09:17:27 EDT
(In reply to Dan Horák from comment #8)
> (In reply to Thomas Spura from comment #7)
> > (In reply to Matt Hirsch from comment #6)
> > > Is there now a package in Fedora 19 for wxWidgets 2.9.x? I see the package
> > > you mentioned here 
> > > 
> > > http://sharkcz.livejournal.com/11207.html
> > 
> > You were optimistic that the situation will be better with version 3.
> > Is it possible to update now?
> 
> There is a wxGTK3 package for quite some time.

Uh, thanks.

Somehow I thought, this would be for python3 or so.
Comment 10 Dan Horák 2014-10-31 09:27:12 EDT
(In reply to Thomas Spura from comment #9)
> (In reply to Dan Horák from comment #8)
> > (In reply to Thomas Spura from comment #7)
> > > (In reply to Matt Hirsch from comment #6)
> > > > Is there now a package in Fedora 19 for wxWidgets 2.9.x? I see the package
> > > > you mentioned here 
> > > > 
> > > > http://sharkcz.livejournal.com/11207.html
> > > 
> > > You were optimistic that the situation will be better with version 3.
> > > Is it possible to update now?
> > 
> > There is a wxGTK3 package for quite some time.
> 
> Uh, thanks.
> 
> Somehow I thought, this would be for python3 or so.

it should be wxWidgets 3.x built against gtk3 AFAIK, wxPython will be another story ...

Note You need to log in before you can comment on or make changes to this bug.